# Компиляция C# в командной строке

### Подготовка
Перед тем как начать разрабатывать на языке C#, небходимо установить на компьютер специальный набор инструментов для разработки - **SDK**. Для C# таковым является **.NET**.  
Установить SDK можно с официального сайта Microsoft по следующей ссылке [.NET SDK](https://dotnet.microsoft.com/en-us/download)  

![screen 1](https://i.ibb.co/6ZvNcZt/image.png)  
___
### Создание проекта
После того как SDK установлен, можно приступать к созданию проекта. Для этого необходимо перейти в созданную заранее папку, в которой будет лежать проект через консоль, я использовал PowerShell.  
**``cd "Путь к папке"``** - команда для перехода к папке.  

![screen 2](https://i.ibb.co/vckdYpk/image.png)  

Для того чтобы создать новый проект используется команда **dotnet new**, которой передаётся тип проекта, в нашем случае, так как мы создадим консольное приложения, мы напишем **console**.  
**``dotnet new console``** - создание консольного проекта  

![screen 3](https://i.ibb.co/F7Z6dwq/image.png)  
После выполнения команды, можно открыть папку проекта и увидеть файлы самого проекта  

![screen 4](https://i.ibb.co/FJHW2Ym/image.png)  

Уже сейчас проект можно запустить, но давайте для начала изменим код, открыв его через любой редактор.  
Для примера напишем очень простой код, но смысл от этого не поменяется.  

![screen 5](https://i.ibb.co/WgJjVpj/image.png)  

### Запуск проекта

Ничего сложного нет, после того как код был изменён, необходимо просто написать следующую команду:
**``dotnet run``**  
Так как проект консольный, то результат работы программы выводится в саму консоль.
![screen 5](https://i.ibb.co/RhdXxF4/image.png)   
___
### Дополнение

Всё перечисленное выше относится именно к **NetCore** проектам, для того чтобы запустить проект созданный под архитектурой **.NET Framework** через командную строку, необходима другая команда.  
Для начала нужно также открыть проект в командной строке, после чего вместо прошлой команды, необходимо использовать:
**``dotnet build``**
Однако это лишь скомпилирует сам проект, если его необходимо выполнить в этой же консоли, можно вставить строку, указывающую расположение exe-файла, которую **выдал сам компилятор**.
![screen 6](https://i.ibb.co/vsXf68g/image.png)  

### Заключение

Компиляция проекта через командную строку не требует больших знаний, если появилась такая причина, из-за которой проект можно скомпилировать только так, то это не вызовет труда.